@ECHO OFF
:: KixAssoc.bat,  Version 2.00 for Windows NT
:: Define a file type and association for Kix scripts and add
:: the .KIX extension to the environment variable PATHEXT.
:: Written by Rob van der Woude
:: http://www.robvanderwoude.com

SETLOCAL
ECHO.
ASSOC .kix=KixScript
FTYPE KixScript=KIX32.EXE %%1 %%*
SET Added=0
FOR %%A IN (%PathExt%) DO IF /I "%%A"==".KIX" SET Added=1
IF "%Added%"=="0" SET PATHEXT=%PATHEXT%;.KIX
(ECHO REGEDIT4)>%Temp%.\KixAssoc.reg
(ECHO.)>>%Temp%.\KixAssoc.reg
(ECHO [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment])>>%Temp%.\KixAssoc.reg
(ECHO "PATHEXT"="%PathExt%")>>%Temp%.\KixAssoc.reg
REGEDIT /S %Temp%.\KixAssoc.reg
DEL %Temp%.\KixAssoc.reg
ECHO.
ECHO The .KIX extension has been added to the environment variable PATHEXT.
ECHO This means you no longer have to type the .KIX extension to start the
ECHO Kix script, just like typing COMMAND is enough to start COMMAND.COM.
ECHO However, since PATHEXT is a HKEY_LOCAL_MACHINE registry setting this
ECHO change won't take effect until you reboot the system.
ENDLOCAL
